Index: doc/latex/classmlnorm__inherit__graph.eps
===================================================================
--- doc/latex/classmlnorm__inherit__graph.eps (revision 33)
+++ doc/latex/classmlnorm__inherit__graph.eps (revision 91)
@@ -1,4 +1,4 @@
 %!PS-Adobe-2.0
-%%Creator: Graphviz version 2.12 (Tue Sep  4 16:56:48 UTC 2007)
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
 %%For: (smidl) Vasek Smidl,,,
 %%Title: G
@@ -89,15 +89,13 @@
 } def
 
-% draw aligned label in bounding box aligned to current point
-/alignedtext {			% width adj text
+% draw text fitted to its expected width
+/alignedtext {			% width text
 	/text exch def
-	/adj exch def
 	/width exch def
 	gsave
 		width 0 gt {
-			text stringwidth pop adj mul 0 rmoveto
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
 		} if
-		[] 0 setdash
-		text show
 	grestore
 } def
@@ -182,30 +180,17 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 140 182
+%%PageBoundingBox: 36 36 132 176
 %%PageOrientation: Portrait
-gsave
-36 36 140 182 boxprim clip newpath
 0 0 1 beginpage
+gsave
+36 36 96 140 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
-0.000 0.000 1.000 graphcolor
-newpath -4 -4 moveto
--4 142 lineto
-100 142 lineto
-100 -4 lineto
-closepath fill
-1 setlinewidth
-0.000 0.000 1.000 graphcolor
-newpath -4 -4 moveto
--4 142 lineto
-100 142 lineto
-100 -4 lineto
-closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
 newpath 0 0 moveto
-0 21 lineto
-97 21 lineto
-97 0 lineto
+0 19 lineto
+88 19 lineto
+88 0 lineto
 closepath fill
 1 setlinewidth
@@ -213,20 +198,15 @@
 0.000 0.000 0.000 nodecolor
 newpath 0 0 moveto
-0 21 lineto
-97 21 lineto
-97 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-48 7 moveto 81 -0.5 (mlnorm< sq_T >) alignedtext
+0 19 lineto
+88 19 lineto
+88 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+8 5.25 moveto 72 (mlnorm< sq_T >) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 29 59 67 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classmEF.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 29 59 67 79 ]
+[ /Rect [ 26 57 62 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classmEF.html) >>
@@ -234,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 29 58 moveto
-29 79 lineto
-68 79 lineto
-68 58 lineto
+newpath 26 56 moveto
+26 75 lineto
+63 75 lineto
+63 56 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 29 58 moveto
-29 79 lineto
-68 79 lineto
-68 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-48 65 moveto 23 -0.5 (mEF) alignedtext
+newpath 26 56 moveto
+26 75 lineto
+63 75 lineto
+63 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+33.5 61.25 moveto 21 (mEF) alignedtext
 grestore
 % Node2->Node1
@@ -256,28 +236,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 48 48 moveto
-48 38 48 28 48 21 curveto
+newpath 44 46 moveto
+44 37 44 26 44 19 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 44.5001 48 moveto
-48 58 lineto
-51.5001 48 lineto
+newpath 40.5001 46 moveto
+44 56 lineto
+47.5001 46 lineto
 closepath fill
 1 setlinewidth
 solid
 0.667 0.776 0.439 edgecolor
-newpath 44.5001 48 moveto
-48 58 lineto
-51.5001 48 lineto
+newpath 40.5001 46 moveto
+44 56 lineto
+47.5001 46 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 27 117 69 137 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classmpdf.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 27 117 69 137 ]
+[ /Rect [ 25 113 63 131 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classmpdf.html) >>
@@ -285,20 +260,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 27 116 moveto
-27 137 lineto
-69 137 lineto
-69 116 lineto
+newpath 25 112 moveto
+25 131 lineto
+63 131 lineto
+63 112 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 27 116 moveto
-27 137 lineto
-69 137 lineto
-69 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-48 123 moveto 26 -0.5 (mpdf) alignedtext
+newpath 25 112 moveto
+25 131 lineto
+63 131 lineto
+63 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+33.125 117.25 moveto 21.75 (mpdf) alignedtext
 grestore
 % Node3->Node2
@@ -307,18 +282,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 48 106 moveto
-48 96 48 86 48 79 curveto
+newpath 44 102 moveto
+44 93 44 82 44 75 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 44.5001 106 moveto
-48 116 lineto
-51.5001 106 lineto
+newpath 40.5001 102 moveto
+44 112 lineto
+47.5001 102 lineto
 closepath fill
 1 setlinewidth
 solid
 0.667 0.776 0.439 edgecolor
-newpath 44.5001 106 moveto
-48 116 lineto
-51.5001 106 lineto
+newpath 40.5001 102 moveto
+44 112 lineto
+47.5001 102 lineto
 closepath stroke
 grestore
@@ -330,5 +305,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 140 182
+%%BoundingBox: 36 36 132 176
 end
 restore
